Package ghidra.app.util.viewer.field

# Class FunctionPurgeFieldFactory

java.lang.Object
ghidra.app.util.viewer.field.FieldFactory
ghidra.app.util.viewer.field.FunctionPurgeFieldFactory

All Implemented Interfaces:
  `ExtensionPoint`

public class FunctionPurgeFieldFactory extends FieldFactory

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final GColor`
  `COLOR`
  `static final String`
  `FIELD_NAME`

  ### Fields inherited from class ghidra.app.util.viewer.field.FieldFactory

  `BASE_LISTING_FONT_ID, baseFont, colorOptionName, enabled, FONT_OPTION_NAME, hlProvider, model, name, startX, style, styleOptionName, width`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FunctionPurgeFieldFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `acceptsType(int category, Class<?> proxyObjectClass)`
  Used to specify which format models this field can belong to.
  `ListingField`
  `getField(ProxyObj<?> proxy, int varWidth)`
  Generates a Field based on the given information.
  `FieldLocation`
  `getFieldLocation(ListingField bf, BigInteger index, int fieldNum, ProgramLocation loc)`
  Return a FieldLocation that corresponds to the given index, fieldNum, and ProgramLocation IF and ONLY IF the given programLocation is the type generated by this class's `FieldFactory.getFieldLocation(ListingField, BigInteger, int, ProgramLocation)`.
  `ProgramLocation`
  `getProgramLocation(int row, int col, ListingField bf)`
  Returns the Program location for the given object, row, col, and groupPath
  `FieldFactory`
  `newInstance(FieldFormatModel newModel, ListingHighlightProvider newHlProvider, ToolOptions toolOptions, ToolOptions fieldOptions)`
  Returns a new instance of this FieldFactory that can be used to generate fields instead of being used as a prototype.

  ### Methods inherited from class ghidra.app.util.viewer.field.FieldFactory

  `displayOptionsChanged, fieldOptionsChanged, getFieldModel, getFieldName, getFieldText, getMetrics, getMetrics, getStartX, getWidth, hasSamePath, initDisplayOptions, initFieldOptions, isEnabled, servicesChanged, setEnabled, setStartX, setWidth, simplifyTemplates, supportsLocation`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FIELD_NAME

    public static final String FIELD_NAME
    See Also:
      - Constant Field Values

  - ### COLOR

    public static final GColor COLOR

- ## Constructor Details

  - ### FunctionPurgeFieldFactory

    public FunctionPurgeFieldFactory()

- ## Method Details

  - ### newInstance

    public FieldFactory newInstance(FieldFormatModel newModel, ListingHighlightProvider newHlProvider, ToolOptions toolOptions, ToolOptions fieldOptions)
    Description copied from class: `FieldFactory`
    Returns a new instance of this FieldFactory that can be used to generate fields instead of being used as a prototype.
    Specified by:
      `newInstance` in class `FieldFactory`
    Parameters:
      `newModel` - the model that the field belongs to.
      `newHlProvider` - the HightLightProvider.
      `toolOptions` - the Options for display properties.
      `fieldOptions` - the Options for field specific properties.
    Returns:
      the factory

  - ### getField

    public ListingField getField(ProxyObj<?> proxy, int varWidth)
    Description copied from class: `FieldFactory`
    Generates a Field based on the given information.
    Specified by:
      `getField` in class `FieldFactory`
    Parameters:
      `proxy` - The object that the generated field will report some information about.
      `varWidth` - the additional distance along the x axis to place the generated field.
    Returns:
      the newly generated FactoryField that shows some property or information about the given object.
    See Also:
      - `FieldFactory.getField(ProxyObj, int)`

  - ### getFieldLocation

    public FieldLocation getFieldLocation(ListingField bf, BigInteger index, int fieldNum, ProgramLocation loc)
    Description copied from class: `FieldFactory`
    Return a FieldLocation that corresponds to the given index, fieldNum, and ProgramLocation IF and ONLY IF the given programLocation is the type generated by this class's `FieldFactory.getFieldLocation(ListingField, BigInteger, int, ProgramLocation)`. Each FieldFactory should generate and process a unique ProgramLocation class.
    Specified by:
      `getFieldLocation` in class `FieldFactory`
    Parameters:
      `bf` - the ListingField at the current cursor.
      `index` - the line index (corresponds to an address)
      `fieldNum` - the index of field within the layout to try and get a FieldLocation.
      `loc` - the ProgramLocation to be converted into a FieldLocation.
    Returns:
      the location.
    See Also:
      - `FieldFactory.getFieldLocation(ghidra.app.util.viewer.field.ListingField, BigInteger, int, ghidra.program.util.ProgramLocation)`

  - ### getProgramLocation

    public ProgramLocation getProgramLocation(int row, int col, ListingField bf)
    Description copied from class: `FieldFactory`
    Returns the Program location for the given object, row, col, and groupPath
    Specified by:
      `getProgramLocation` in class `FieldFactory`
    Parameters:
      `row` - the row within this field
      `col` - the col on the given row within this field.
      `bf` - the ListingField containing the cursor.
    Returns:
      the location.
    See Also:
      - `FieldFactory.getProgramLocation(int, int, ghidra.app.util.viewer.field.ListingField)`

  - ### acceptsType

    public boolean acceptsType(int category, Class<?> proxyObjectClass)
    Description copied from class: `FieldFactory`
    Used to specify which format models this field can belong to.
    Specified by:
      `acceptsType` in class `FieldFactory`
    Parameters:
      `category` - the category for this field
      `proxyObjectClass` - the type of proxy object used by this field
    Returns:
      true if this class accepts the given category.
    See Also:
      - `FieldFactory.acceptsType(int, java.lang.Class)`